Validator Performance
curl --request GET \
--url https://api.rated.network/v0/solana/validators/{validator_id}/performance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v0/solana/validators/{validator_id}/performance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v0/solana/validators/{validator_id}/performance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": {
"from": 123,
"to": 123,
"granularity": "3k",
"size": 1
},
"total": 1,
"data": [
{
"delinquencies": 2,
"effectiveness": 0.965,
"emptySlots": 3,
"from_": "2024-12-14",
"proposedSlots": 90,
"skippedSlots": 5,
"sumLatency": 45000,
"totalVoteScore": 480000,
"totalVotes": 30000,
"uptime": 0.95,
"voteAccount": "voteAccount",
"voteDutiesCount": 31578,
"voteLatency": 1.5,
"voteOnlySlots": 10
}
],
"next": "<string>"
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Validators
Single validator effectiveness
GET
/
v0
/
solana
/
validators
/
{validator_id}
/
performance
Validator Performance
This endpoint returns all the useful information you need on the historical performance of a single validator. This includes voting effectiveness, proposer effectiveness, missed blocks (i.e. skip rate), etc. For a glossary of the variables returned, see validators.
Here’s how to interpret the inputs required to operate it👇
| Parameter | Description |
|---|---|
from | Starting UTC date (e.g. from=“2024-04-22”), or a slot multiple of 3,000 (approximately 20 minutes) |
granularity | The size of time increments you are looking to query. Can be dayor 3k(3,000 slots or approximately 20 minutes). |
size | The number of results included per page |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
UTC day or slot multiple of 3k
UTC day or 3k block interval
Available options:
3k, day Required range:
1 <= x <= 200⌘I